package Bean;

import java.sql.*;
import java.util.*;
import java.io.*;
import java.net.*;
 
public class XmlBean 
{
    String userName,filename,url_name;
    boolean IS_ESTABLISHED = false;
        
    /** Creates a new instance of XmlBean and also establishes DB Connections */
    public XmlBean(String userName,String url) 
    {
        this.userName = userName;
        this.filename = filename;
        url_name = url;
        IS_ESTABLISHED = true;
    }
    
    /* Generates XmlData For the Business Logic Specified */
    public String getXmlData()
    {
        String Xml = "";
        StringBuffer XmlBuffer = new StringBuffer("");
        //XmlBuffer.append("<?xml version='1.0' encoding='ISO-8859-1'?>\n");
        //XmlBuffer.append("<rss version='2.0'>\n");
        URL url;
        URLConnection urlConnection;
        BufferedReader in;
        if(IS_ESTABLISHED == true)
        {
            try
            {
                
                    url = new URL(url_name);
                    urlConnection = url.openConnection ( ) ;
                    in = new BufferedReader ( new InputStreamReader (url.openStream())) ; 
                    
                    while((Xml =in.readLine())!= null)
                    {
                        //System.out.println(Xml.indexOf("<?xml"));
                        Xml = Xml.replace("&","&amp;");
                        XmlBuffer.append(Xml+"\n");
                    
                    }
                    in.close();
                
                System.out.println(XmlBuffer);
                            
            } catch(Exception exp){
                
                System.out.println(exp);
            }
            
        }
        
        return(XmlBuffer.toString());
    }
}


